<h1 mat-dialog-title>{{data.message}}</h1>
<div mat-dialog-content>
    <p>C'est quoi ton nombre ?</p>
    <mat-form-field>
        <input matInput [(ngModel)]="data.nombre">
    </mat-form-field>
</div>
<div mat-dialog-actions>
    <button mat-button (click)="onNoClick()">No Thanks</button>
    <button mat-button [mat-dialog-close]="data.nombre" cdkFocusInitial>Ok</button>
</div>